[rhmessaging-commits] rhmessaging commits: r3808 - in store/trunk/cpp/tests: old_python_tests and 1 other directory.

rhmessaging-commits at lists.jboss.org rhmessaging-commits at lists.jboss.org
Tue Jan 19 07:51:22 EST 2010


Author: kpvdr
Date: 2010-01-19 07:51:22 -0500 (Tue, 19 Jan 2010)
New Revision: 3808

Modified:
   store/trunk/cpp/tests/old_python_tests/flow_to_disk.py
   store/trunk/cpp/tests/run_old_python_tests
   store/trunk/cpp/tests/tests_env.sh
Log:
Changed use of python uuid lib to internal qpid version of uuid as uuid is not available in RHEL-5; Improved some fail messages to make them less ambiguous; Fixed the python enviroment and enviroment check.

Modified: store/trunk/cpp/tests/old_python_tests/flow_to_disk.py
===================================================================
--- store/trunk/cpp/tests/old_python_tests/flow_to_disk.py	2010-01-18 18:58:17 UTC (rev 3807)
+++ store/trunk/cpp/tests/old_python_tests/flow_to_disk.py	2010-01-19 12:51:22 UTC (rev 3808)
@@ -19,11 +19,11 @@
 #
 # The GNU Lesser General Public License is available in the file COPYING.
 
-import random, time, uuid
+import random, time
 from qpid.client import Client, Closed
 from qpid.queue import Empty
 from qpid.testlib import TestBase010
-from qpid.datatypes import Message, RangedSet
+from qpid.datatypes import Message, RangedSet, uuid4
 from qpid.session import SessionException
 
 class FlowToDiskTests(TestBase010):
@@ -94,7 +94,7 @@
         return msg
 
     def _makeXid(self):
-        return self.session.xid(format=0, global_id=uuid.uuid4().bytes, branch_id="")
+        return self.session.xid(format=0, global_id=uuid4().bytes, branch_id="")
 
     def _produceDirect(self, queueName, deliveryMode, numMsgs, msgSize, txnProduce):
         if txnProduce:

Modified: store/trunk/cpp/tests/run_old_python_tests
===================================================================
--- store/trunk/cpp/tests/run_old_python_tests	2010-01-18 18:58:17 UTC (rev 3807)
+++ store/trunk/cpp/tests/run_old_python_tests	2010-01-19 12:51:22 UTC (rev 3808)
@@ -78,11 +78,11 @@
 start_broker() {
     ${QPIDD} --daemon --port 0 --no-module-dir --load-module=${STORE_LIB} --data-dir=${STORE_DIR} --auth=no --log-enable info+ --log-to-file ${STORE_DIR}/broker.python-test.log > qpidd.port
     LOCAL_PORT=`cat qpidd.port`
-    echo "run_python_tests: Started qpidd on port ${LOCAL_PORT}"
+    echo "run_old_python_tests: Started qpidd on port ${LOCAL_PORT}"
 }
 
 stop_broker() {
-       echo "run_python_tests: Stopping broker on port ${LOCAL_PORT}"
+       echo "run_old_python_tests: Stopping broker on port ${LOCAL_PORT}"
     ${QPIDD} -q --port ${LOCAL_PORT}
 }
 
@@ -90,7 +90,7 @@
 
 # Run all python tests
 start_broker
-$QPID_PYTHON_DIR/qpid-python-test -m old_python_tests -b localhost:$LOCAL_PORT -I ${FAILING_PYTHON_TESTS} ${PYTHON_TESTS} || { echo "FAIL python tests"; fail=1; }
+$QPID_PYTHON_DIR/qpid-python-test -m old_python_tests -b localhost:$LOCAL_PORT -I ${FAILING_PYTHON_TESTS} ${PYTHON_TESTS} || { echo "FAIL: old_python_tests"; fail=1; }
 stop_broker || fail=1
 
 exit ${fail}

Modified: store/trunk/cpp/tests/tests_env.sh
===================================================================
--- store/trunk/cpp/tests/tests_env.sh	2010-01-18 18:58:17 UTC (rev 3807)
+++ store/trunk/cpp/tests/tests_env.sh	2010-01-19 12:51:22 UTC (rev 3808)
@@ -232,7 +232,6 @@
 #--- Start of script ---
 
 func_check_required_env || exit 1   # Cannot run, exit with error
-func_check_qpid_python || exit 0    # A warning, not a failure.
 
 srcdir=`dirname $0`
 if test -z ${abs_srcdir}; then
@@ -240,6 +239,7 @@
 fi
 
 func_set_env
+func_check_qpid_python || exit 0    # A warning, not a failure.
 func_mk_data_dir
 
 # Check expected environment vars are set



More information about the rhmessaging-commits mailing list